package worker

import (
	"github.com/RichardKnop/machinery/v1"
	mchConf "github.com/RichardKnop/machinery/v1/config"
)

var (
	AsyncTaskCenter *machinery.Server
)

func init() {
	tc, err := NewTaskCenter()
	if err != nil {
		panic(err)
	}
	AsyncTaskCenter = tc
}

func NewTaskCenter() (*machinery.Server, error) {
	cnf := &mchConf.Config{
		Broker:        "redis://localhost:6379",
		DefaultQueue:  "DecompressTasksQueue",
		ResultBackend: "redis://localhost:6379",
	}
	// Create server instance
	return machinery.NewServer(cnf)
}

